define({"0":{y:0,u:"../Content/IDOL_Systems/part_Introduction.htm",l:-1,t:"Introduction",i:0.00353418701999176,a:"Introduction This section introduces the OpenText IDOL product family and the basic concepts involved in using IDOL to ingest, process, and retrieve your content."},"1":{y:0,u:"../Content/IDOL_Systems/Intro/Intro.htm",l:-1,t:"Introduction to IDOL",i:0.00653827038132871,a:"OpenText IDOL is a family of products that retrieve, process, and enrich unstructured, semi-structured, and structured information from multiple repositories. It allows you to automate operations across applications and content, to get information to the right people at the right time.  In the IDOL ..."},"2":{y:0,u:"../Content/IDOL_Systems/Intro/Key_Concepts.htm",l:-1,t:"Key IDOL Concepts",i:0.0235589891340686,a:"The IDOL product family contains many different components, and a large range of features and functions. This section provides some information about the basic concepts in IDOL. Unstructured Data Digital data generally falls into two forms. Structured data is well-organised and easily searchable by ..."},"3":{y:0,u:"../Content/Shared_Admin/IDOLOperations/_ADM_IDOLOperations.htm",l:-1,t:"IDOL Feature Overview",i:0.00653827038132871,a:"IDOL Feature Overview The following section gives a brief overview of the features that IDOL offers to help you analyze and use your structured and unstructured data.  Your license determines which of these operations your IDOL installation can perform."},"4":{y:0,u:"../Content/Shared_Admin/IDOLOperations/_ADM_SearchAndRetrieval.htm",l:-1,t:"Search and Retrieval",i:0.0834262136687488,a:"This section describes IDOL features that allow you to retrieve data from your IDOL system in different ways. Text Search IDOL text search allows you to find content in your index. You can use lots of different search methods to get the results that you want. Conceptual Matches You can search with ..."},"5":{y:0,u:"../Content/Shared_Admin/IDOLOperations/_ADM_TextAnalytics.htm",l:-1,t:"Text Analytics",i:0.00353418701999176,a:"This section describes IDOL functions that allow you to expand your queries to get more value out of your data. Automatic Query Guidance (AQG) IDOL can find the most important topics and phrases in a document set, and automatically cluster these terms and phrases. You can use the clustered phrases ..."},"6":{y:0,u:"../Content/Shared_Admin/IDOLOperations/_ADM_DataEnhancement.htm",l:-1,t:"Data Enhancement",i:0.0335713901911071,a:"This section describes IDOL functions that allow you to enhance and enrich your data, to provide additional value. Automatic Language Detection IDOL can detect the language of a document or piece of text, and use this information to apply appropriate language-specific processing (such as stemming ..."},"7":{y:0,u:"../Content/Shared_Admin/IDOLOperations/_ADM_UsersAndCommunities.htm",l:-1,t:"Users and Communities",i:0.00353418701999176,a:"This section describes IDOL features that allow your users to interact with the data in your system. Agents You can create agents in IDOL for a user to find and monitor information that is relevant to their interests.  You can create agents in a user-friendly way by using: natural language ..."},"8":{y:0,u:"../Content/IDOL_Systems/Intro/IDOL_System_Architecture.htm",l:-1,t:"IDOL System Architecture",i:0.00353418701999176,a:"The IDOL product suite contains many different components, which you can use and configure in many ways for your own use cases. This section covers some of the basic features that many IDOL systems have in common. IDOL Workflow The following diagram describes the basic IDOL Workflow. Connectors ..."},"9":{y:0,u:"../Content/IDOL_Systems/Intro/ACIServers.htm",l:-1,t:"ACI Servers",i:0.00503622870066023,a:"Many IDOL components are ACI servers, which use a common Web API framework that allows you to send HTTP requests (known as actions), and return XML responses.  You can use the OpenText IDOL SDKs to allow you to develop custom applications with the ACI APIs. Actions When you communicate with ACI ..."},"10":{y:0,u:"../Content/IDOL_Systems/Intro/Index_and_Query.htm",l:-1,t:"IDOL Text Index and Query",i:0.00353418701999176,a:"The IDOL text index is the main store of text document content.  You can index documents into IDOL in two formats: IDOL IDX format. An IDOL-specific plain text format that uses a flat IDOL field structure. XML format. Standard XML. You can create documents yourself, or by using IDOL ingest and ..."},"11":{y:0,u:"../Content/IDOL_Systems/Intro/Security.htm",l:-1,t:"Security",i:0.00353418701999176,a:"IDOL allows you to set permissions and to protect your information and ensure that only the correct people can access it.  Security in IDOL covers the following main areas: User authentication Document security Index Encryption Secure communications The following sections provides a little more ..."},"12":{y:0,u:"../Content/IDOL_Systems/Intro/Interfaces.htm",l:-1,t:"Interfaces",i:0.00353418701999176,a:"IDOL provides several front-end applications for different purposes.  Administrative Applications The following applications allow you to administer and manage your IDOL installation, and the data. IDOL Admin allows you to administer an IDOL component. It provides a user interface for many common ..."},"13":{y:0,u:"../Content/IDOL_Systems/Intro/Related_Documentation.htm",l:-1,t:"Related Documentation",i:0.00353418701999176,a:"Related Documentation The following documents provide more details on IDOL. You can also see the  Documentation Map  for a visual representation of the available documentation, with links to the OpenText documentation site."},"14":{y:0,u:"../Content/DocMap/_ADM_DocumentationMap.htm",l:-1,t:"Documentation Map",i:0.00653827038132871,a:"Documentation Map This diagram provides an overview of the available documentation and resources for the IDOL product suite. Click a link to go to the relevant documentation on  www.microfocus.com/documentation/idol , or other website."},"15":{y:0,u:"../Content/IDOL_Systems/part_IDOLSystems.htm",l:-1,t:"IDOL Systems",i:0.00353418701999176,a:"IDOL Systems This section describes OpenText IDOL and describes the various set ups that you can use in your IDOL system."},"16":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/System_Types.htm",l:-1,t:"Types of IDOL Systems",i:0.0105437148631113,a:"Types of IDOL Systems You can set up IDOL systems in different ways to suit the requirements of your organization. This chapter discusses some of the possible IDOL setups, and some of the considerations involved when you choose a setup."},"17":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/IDOL_Core_Components.htm",l:-1,t:"IDOL Core Components",i:0.00653827038132871,a:"This section describes the common IDOL components. The following components form the core IDOL text indexing and processing functions. Together, they are often collectively known as  IDOL Server. These components are all ACI servers. For more information, refer to the  IDOL Server Help. The ..."},"18":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/IDOL_System_Setups.htm",l:-1,t:"IDOL System Setups",i:0.00353418701999176,a:"The flexibility of IDOL allows you to create systems that suit your environment and the unique needs of your organization. The following sections describe some of the ways that you can set up your IDOL system. The installation procedures to support these setups are described in  IDOL Installation ..."},"19":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/License_Server.htm",l:-1,t:"License Server",i:0.00353418701999176,a:"License Server is an essential part of any Enterprise IDOL installation. It manages the licenses for your IDOL products and components. In an OEM installation, you do not need a License Server (see  Licenses ). When you purchase IDOL, OpenText Support provide a license key and a version key.  The ..."},"20":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/IDOL_Text.htm",l:-1,t:"Basic IDOL Text Setups",i:0.00953783361207445,a:"There are several ways to set up a simple IDOL Text system, depending on the size of your installation, and the features that you want to use.  Component Setup The most flexible and versatile approach is to install the individual components that you need, and configure each component separately. ..."},"21":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Distributed_Setup.htm",l:-1,t:"Distributed Setup",i:0.0105918949624432,a:"A distributed IDOL setup involves using a Distributed Index Handler (DIH) and Distributed Action Handler (DAH) to route actions to multiple instances of an IDOL component. A distributed setup  is effective for load-balancing among components, as well as for expanding indexes that no longer fit on ..."},"22":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/IDOL_Ingest.htm",l:-1,t:"IDOL Ingest",i:0.00828440706346358,a:"IDOL Ingest refers to the tools that allow you to retrieve data from your external repositories, process them, and index them into IDOL.  The ingest process includes: Connectors. Each supported repository has a connector, which can use the appropriate repository API to view and extract your data. ..."},"23":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/IDOL_Text_Security.htm",l:-1,t:"IDOL Document Security",i:0.00353418701999176,a:"To add secured search for IDOL Text, you need to install OmniGroupServer (OGS). OGS collects security information from several different security repositories. It stores information about the users and groups that exist in these repositories, which the IDOL Community component and IDOL Content ..."},"24":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Multimedia.htm",l:-1,t:"Rich Media",i:0.0067823653827951,a:"IDOL Media Server allows you to process and analyze images, video, and audio files.  You can use this component in combination with the IDOL text processing components. For example, you might want to use Media Server in your NiFi ingest or CFS workflow to transcribe audio files that you extract from ..."},"25":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Eduction.htm",l:-1,t:"Entity Extraction (Eduction)",i:0.00353418701999176,a:"IDOL Eduction allows you to extract entities from text. You can use Eduction as part of your ingest process to enrich the data before you index it into IDOL, or you can use it separately.  Eduction is available in several different formats and packages, depending on how you want to use it in your ..."},"26":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Front_End_Applications_S.htm",l:-1,t:"Front-End Applications",i:0.00353418701999176,a:"When you have multiple front-end applications, it can be beneficial to use separate IDOL installations for each application.  For example, you might have one application for collaboration in your organization, and another for data mining. You can set up each application to use a separate ..."},"27":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Query_Manipulation_Server.htm",l:-1,t:"Query Manipulation Server",i:0.00353418701999176,a:"Query Manipulation Server (QMS) is an additional component that you can use with an IDOL Content component index to modify user queries and results.  QMS communicates with a Promotion Agentstore, which stores the rules that QMS uses to determine how to modify queries.  In an IDOL architecture with ..."},"28":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Answer_Server.htm",l:-1,t:"Answer Server",i:0.0067823653827951,a:"Answer Server is the IDOL component that allows you to use  Search and Retrieval  and  Conversations . It has several ways to provide answers, with different setup requirements: Fact Bank provides answers from a database of factual information. Fact Bank requires a SQL database or Lua script fact ..."},"29":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Other_IDOL_Components.htm",l:-1,t:"Other IDOL Components",i:0.00353418701999176,a:"The previous sections have described the main processing and essential or common infrastructure components for IDOL. The following section describes some of the less commonly used components that you might want to include in your IDOL system. Statistics Server Statistics Server monitors IDOL logs ..."},"30":{y:0,u:"../Content/IDOL_Systems/IDOL_Systems/Installation.htm",l:-1,t:"IDOL Installation and Setup",i:0.0165955415545259,a:"After you have decided on an IDOL architecture, you must decide on how to set up and distribute your system across multiple machines. For the simple unified IDOL Server installation for testing, you can use a single machine for all components. However, in a more advanced system with a ..."},"31":{y:0,u:"../Content/IDOL_Systems/Applications/UserInterfaces.htm",l:-1,t:"Applications",i:0.00753963150177436,a:"Applications There are many applications that you can use to access, search, and customize the data in your IDOL system. This section describes some of the available applications that you can use to access and administer your IDOL system."},"32":{y:0,u:"../Content/IDOL_Systems/Applications/Front_End_Applications.htm",l:-1,t:"Front-End Applications",i:0.00353418701999176,a:"Front-end applications provide a user interface through which you can access, customize, search, and modify data in your IDOL system.   Find provides a customizable end-user search interface for  IDOL. It optionally includes additional Business Information functionality, such as visualizations and ..."},"33":{y:0,u:"../Content/IDOL_Systems/Applications/Administrative_Applicati.htm",l:-1,t:"Administrative Applications",i:0.0114640437294441,a:"There are several IDOL applications that allow you to manipulate and modify the data in IDOL, and to monitor the IDOL services and applications. IDOL Admin IDOL Admin allows you to administer your individual ACI Server IDOL components. IDOL Admin is a browser-based front-end that is deployed with ..."},"34":{y:0,u:"../Content/IDOL_Systems/Security/Introduction.htm",l:-1,t:"Security in IDOL",i:0.00603758982110588,a:"Security in IDOL This chapter provides an overview of IDOL Document Security. For more information on security, refer to the IDOL Document Security Administration Guide."},"35":{y:0,u:"../Content/IAS/Introduction/_SEC_Security_Overview.htm",l:-1,t:"Security Overview",i:0.00353418701999176,a:"OpenText provides the software infrastructure that automates operations on unstructured information. This software infrastructure is based on IDOL. Document security protects the information that you index into the IDOL Content component. Your organization is likely to store information in many ..."},"36":{y:0,u:"../Content/IAS/Introduction/_SEC_User_Authentication.htm",l:-1,t:"User Authentication",i:0.00353418701999176,a:"To access front-end applications, users must log on by providing their credentials. If you build your own front-end applications, you can use the IDOL ACI API to customize the logon process. IDOL supports authentication against industry standard systems, including: Windows NT logon. LDAP ..."},"37":{y:0,u:"../Content/IAS/Introduction/_SEC_Document_Security.htm",l:-1,t:"Document Security",i:0.00353418701999176,a:"Document security ensures that users can access only those documents for which they have the necessary permissions. When a user logs on to a front-end application and is authenticated successfully, the IDOL Community component returns an encrypted security string to the front-end application. This ..."},"38":{y:0,u:"../Content/IAS/Introduction/_SEC_Security_Example.htm",l:-1,t:"Mapped Security Example",i:0.00503622870066023,a:"The following diagram shows the components involved in a Mapped Security architecture: Connectors extract information from third-party repositories so that you can index the information into an IDOL Content component index. The connector adds an Access Control List (ACL) to a metadata field in each ..."},"39":{y:0,u:"../Content/IAS/SecureCommunications/_SEC_Secure_Communications.htm",l:-1,t:"Secure Communications",i:0.00353418701999176,a:"Secure Communications You can configure IDOL components to communicate using Transport Layer Security (TLS/SSL). "},"40":{y:0,u:"../Content/IAS/SecureCommunications/_SEC_SSL.htm",l:-1,t:"Secure Communications Overview",i:0.00353418701999176,a:"You can configure Transport Layer Security (TLS/SSL) communications for all ACI servers, NiFi, and front-end applications.  IDOL also supports GSSAPI for authentication and secure communications.  The exact configuration you use depends on the component you are configuring. For more information, ..."},"41":{y:0,u:"../Content/Install_Run_IDOL/part2.htm",l:-1,t:"Install and Run IDOL",i:0.00353418701999176,a:"Install and Run IDOL This section describes how to install, run, and configure IDOL. "},"42":{y:0,u:"../Content/Install_Run_IDOL/Install/Installation_.htm",l:-1,t:"Install IDOL",i:0.00396334178589703,a:"Install IDOL This section describes how to install IDOL by using the IDOL Server installer, and the software and hardware requirements to run IDOL. For information about how to install IDOL containers by using Docker images, see  Install IDOL Containers ."},"43":{y:0,u:"../Content/Install_Run_IDOL/Install/Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00353418701999176,a:"IDOL components are supported on the following platforms. Windows (x86-64) Windows Server 2022 Windows Server 2019 Windows Server 2016 Windows Server 2012 Linux (x86-64) IDOL is supported on the following Linux distributions (the version numbers specify the earliest supported version). Red Hat ..."},"44":{y:0,u:"../Content/Install_Run_IDOL/Install/System_Requirements.htm",l:-1,t:"System Requirements",i:0.00353418701999176,a:"This section describes the software and hardware requirements to run IDOL.  Basic Requirements To install IDOL services on Microsoft Windows operating systems, you must run the IDOL Server installer as a user with administrative privileges. You do not require special privileges to run the ..."},"45":{y:0,u:"../Content/Install_Run_IDOL/Install/Windows_Recommendations.htm",l:-1,t:"Windows System Recommendations",i:0.00353418701999176,a:"This section describes recommendations and requirements for IDOL for Microsoft Windows operating system platforms. TCP Port Requirements On Microsoft Windows platforms, if your IDOL service is receiving a large number of actions, or you have a large number of services on the same machine, your ..."},"46":{y:0,u:"../Content/Install_Run_IDOL/Install/Linux_Recommendations.htm",l:-1,t:"Linux System Recommendations",i:0.00353418701999176,a:"This section describes some Linux operating system settings that you might want to modify to improve IDOL performance and function. You might need additional system privileges to make these changes. In all cases, OpenText recommends that you test on your own systems to find the optimal settings for ..."},"47":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_IDOL.htm",l:-1,t:"Install IDOL",i:0.0298220782856591,a:"Install IDOL The IDOL installation is a simple, single-pass installer that installs the most common IDOL components. This section describes how to use the installer to install IDOL components."},"48":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_Windows.htm",l:-1,t:"Install IDOL on Windows",i:0.0235589891340686,a:"The IDOL Server installer is deprecated in IDOL version 24.3 and later. OpenText recommends that you use another installation method. For example, you can deploy IDOL components from  zip packages  or  using containers . The installer is still available from IDOL support, but will be discontinued in ..."},"49":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_UnifiedIDOL.htm",l:-1,t:"Install a Unified IDOL Server Setup on Windows",i:0.00353418701999176,a:"The IDOL Server installer is deprecated in IDOL version 24.3 and later. OpenText recommends that you use another installation method. For example, you can deploy IDOL components from  zip packages  or  using containers . The installer is still available from IDOL support, but will be discontinued in ..."},"50":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_WindowsServices.htm",l:-1,t:"Install an IDOL Component as a Service on Windows",i:0.0162377521389667,a:"On Microsoft Windows operating systems, you can install any IDOL component as a Windows service. Installing a component as a Windows service makes it easy to start and stop the component, and you can configure a component to start automatically when you start Windows. Use the following procedure to ..."},"51":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_UNIX.htm",l:-1,t:"Install IDOL on UNIX",i:0.0235589891340686,a:"The IDOL Server installer is deprecated in IDOL version 24.3 and later. OpenText recommends that you use another installation method. For example, you can deploy IDOL components from  zip packages  or  using containers . The installer is still available from IDOL support, but will be discontinued in ..."},"52":{y:0,u:"../Content/Shared_Admin/Installation/_ADM_Install_LinuxStartup.htm",l:-1,t:"Install an IDOL Component as a Service on Linux",i:0.0530955117449611,a:"On Linux operating systems, you can install a component as a service to allow you to easily start and stop it. You can also configure the service to run when the machine boots. The following procedures describe how to install IDOL as a service on Linux. To use these procedures, you must have root ..."},"53":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_Silent.htm",l:-1,t:"Use Unattended Installation",i:0.00353418701999176,a:"The IDOL Server installer is deprecated in IDOL version 24.3 and later. OpenText recommends that you use another installation method. For example, you can deploy IDOL components from  zip packages  or  using containers . The installer is still available from IDOL support, but will be discontinued in ..."},"54":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_Components.htm",l:-1,t:"Install Separate IDOL Components",i:0.00353418701999176,a:"For a component setup, where you install and run each IDOL component separately, you can download and install individual component ZIP packages, if you do not want to use the IDOL Server installer. Each component ZIP package provides a configuration file, and the required modules for the component. ..."},"55":{y:0,u:"../Content/Install_Run_IDOL/Install/Dependent_Components.htm",l:-1,t:"IDOL Component Dependencies",i:0.00353418701999176,a:"When you install a unified IDOL Server, the installer automatically configures the components with associated dependencies. When you use a custom installation, or install components using ZIP packages, you must ensure that you configure these dependencies in the component configuration files. For ..."},"56":{y:0,u:"../Content/Install_Run_IDOL/Install/Install_IDOL_Admin.htm",l:-1,t:"Install IDOL Admin",i:0.00353418701999176,a:"IDOL Admin is an administration interface for performing IDOL administration tasks, such as gathering status information, retrieving information about data in the index, and sending index actions to administer the index. The IDOL Server installer includes the admin.dat file when you install any IDOL ..."},"57":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Licenses.htm",l:-1,t:"Licenses",i:0.00353418701999176,a:"To use  IDOL solutions, you must have:  a running  License Server a valid license key file (licensekey.dat) for the products that you want to use a valid version key (versionkey.dat) License Server controls the IDOL licenses, and assigns them to running components. The license key contains ..."},"58":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Display_License.htm",l:-1,t:"Display License Information",i:0.00353418701999176,a:"You can verify which modules you have licensed either by using the IDOL Admin interface, or by sending the LicenseInfo action from a web browser. To display license information in IDOL Admin         In the Control menu of the IDOL Admin interface for your License Server, click Licenses.\n             ..."},"59":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_Revoke_License.htm",l:-1,t:"Revoke a Client License",i:0.00353418701999176,a:"After you set up licensing, you can revoke licenses at any time, for example, if you want to change the client configuration or reallocate the license. The following procedure revokes the license from a component.  If you cannot contact the client (for example, because the machine is inaccessible), ..."},"60":{y:0,u:"../Content/Shared_Admin/Licenses/_ADM_License_Errors.htm",l:-1,t:"Troubleshoot License Errors",i:0.00653827038132871,a:"Troubleshoot License Errors The table contains explanations for typical licensing-related error messages."},"61":{y:0,u:"../Content/Install_Run_IDOL/Install/Find_the_Number_of_Licen.htm",l:-1,t:"Find the Number of Licensed Documents",i:0.00353418701999176,a:"You can send the LicenseInfo action to your License Server to find out how many documents your IDOL installation is licensed for.  The LicenseInfo response includes a list of the components that you have a license for. For the Content component license information, the following tags show your ..."},"62":{y:0,u:"../Content/Install_Run_IDOL/Run/Running.htm",l:-1,t:"Run IDOL",i:0.00396334178589703,a:"Run IDOL When you have installed IDOL, you are ready to run it. This section describes the basics of using IDOL and verifying that it is running correctly."},"63":{y:0,u:"../Content/Install_Run_IDOL/Run/Start_and_Stop_.htm",l:-1,t:"Start and Stop IDOL",i:0.00353418701999176,a:"Start and Stop IDOL This section describes how to start and stop your IDOL service. Start IDOL Stop IDOL"},"64":{y:0,u:"../Content/Install_Run_IDOL/Run/Start__.htm",l:-1,t:"Start IDOL",i:0.00503622870066023,a:"The following sections describe the different ways that you can start IDOL and IDOL components.  Before you can start any IDOL component, you must start the License Server. When the License Server is running, you can start your other IDOL components.  If you install a unified IDOL Server, you start ..."},"65":{y:0,u:"../Content/Install_Run_IDOL/Run/StartIDOLCommandLine.htm",l:-1,t:"Start IDOL from the Command Line",i:0.00796521433655858,a:"You can start IDOL components from the command line. This advanced functionality allows you to adjust certain parts of the component configuration when you start up. You might want to use this method to install components as Windows services, or to start a component with a configuration file that is ..."},"66":{y:0,u:"../Content/Install_Run_IDOL/Run/Stop_.htm",l:-1,t:"Stop IDOL",i:0.00503622870066023,a:"You can stop an IDOL component from running in several different ways. (All Platforms) Send the Stop service action to the component service port: http://host:servicePort/action=stop where  host is the name or IP address of the host on which the IDOL component is running, and  servicePort is the ..."},"67":{y:0,u:"../Content/Shared_Admin/_ADM_send_actions.htm",l:-1,t:"Send Actions to IDOL",i:0.0198191768471206,a:"IDOL actions are HTTP requests, which you can send, for example, from your web browser.  The general syntax of these actions is: http://host:port/action=action\u0026parameters where: Separate individual parameters with an ampersand (\u0026). Separate parameter names from values with an equals sign (=). You ..."},"68":{y:0,u:"../Content/Install_Run_IDOL/Run/Verify__Runs_Correctly.htm",l:-1,t:"Verify IDOL Runs Correctly",i:0.00353418701999176,a:"Verify IDOL Runs Correctly When you have installed IDOL and are using it, you can run actions to verify that IDOL is running correctly. GetRequestLog GetLicenseInfo GetStatus GetVersion"},"69":{y:0,u:"../Content/Install_Run_IDOL/Run/GetRequestLog.htm",l:-1,t:"GetRequestLog",i:0.00428520786032599,a:"Send a  GRL (or GetRequestLog) action to any IDOL component to return a log of the requests that have been made to it, including: the date and time that a request was made. the client IP address that made the request. the internal thread that handled the action. For example: ..."},"70":{y:0,u:"../Content/Install_Run_IDOL/Run/GetLicenseInfo.htm",l:-1,t:"GetLicenseInfo",i:0.00428520786032599,a:"You can send a  GetLicenseInfo action to IDOL to return information on your license. This action allows you to check whether your license is valid, which IDOL operations your license includes, and which actions you can run.  For example: http://IDOLhost:port/action=GetLicenseInfo The following ..."},"71":{y:0,u:"../Content/Install_Run_IDOL/Run/GetStatus.htm",l:-1,t:"GetStatus",i:0.00428520786032599,a:"GetStatus Use the  GetStatus action to check whether the IDOL service is running.  For example: http://IDOLhost:port/action=GetStatus"},"72":{y:0,u:"../Content/Install_Run_IDOL/Run/GetVersion.htm",l:-1,t:"GetVersion",i:0.00428520786032599,a:"GetVersion Use the  GetVersion action to check the version number of an IDOL service.  For example: http://IDOLhost:port/action=GetVersion"},"73":{y:0,u:"../Content/Install_Run_IDOL/Run/Display_Online_Help.htm",l:-1,t:"Display Online Help",i:0.0109100784007105,a:"You can display IDOL Expert, or the  IDOL Server Help by sending an action from your Web browser.  For IDOL to display help, the help data file (help.dat) must be available in the same directory as the service instance. To display help for IDOL Start IDOL server.  Send the following action from your ..."},"74":{y:0,u:"../Content/Install_Run_IDOL/Configure/Configure.htm",l:-1,t:"Configure IDOL",i:0.00396334178589703,a:"Configure IDOL This section describes how to configure IDOL components by editing the configuration file. "},"75":{y:0,u:"../Content/Install_Run_IDOL/Configure/IDOL_Server_Configuratio.htm",l:-1,t:"IDOL Configuration Files",i:0.00353418701999176,a:"When you install a component setup, each IDOL component that you install has a default configuration file. You configure IDOL components by modifying these configuration files. The configuration file for a component has the same name as the main component executable file. For example, the ..."},"76":{y:0,u:"../Content/Shared_Admin/_ADM_Enter_config_params.htm",l:-1,t:"Modify Configuration Parameter Values",i:0.00353418701999176,a:"You modify IDOL configuration parameters by directly editing the parameters in the configuration file. When you set configuration parameter values, you must use UTF-8. You must stop and restart IDOL for new configuration settings to take effect. This section describes how to enter parameter values ..."},"77":{y:0,u:"../Content/Shared_Admin/_ADM_Encrypt_Passwords.htm",l:-1,t:"Encrypt Passwords",i:0.00353418701999176,a:"OpenText recommends that you encrypt all passwords that you enter into a configuration file. Create a Key File A key file is required to use AES encryption.  To create a new key file Open a command-line window and change directory to the IDOL installation folder. At the command line, type: ..."},"78":{y:0,u:"../Content/Shared_Admin/_ADM_Include_Config.htm",l:-1,t:"Include an External Configuration File",i:0.0235589891340686,a:"You can share configuration sections or parameters between ACI server configuration files. The following sections describe different ways to include content from an external configuration file.  You can include a configuration file in its entirety, specified configuration sections, or a single ..."},"79":{y:0,u:"../Content/Install_Run_IDOL/Performance/Performance.htm",l:-1,t:"IDOL Performance",i:0.00396334178589703,a:"IDOL Performance This section discusses methods you can use to improve the performance of your IDOL system.  For further recommendations about improving IDOL performance, refer to IDOL Expert."},"80":{y:0,u:"../Content/Install_Run_IDOL/Performance/Performance_Overview.htm",l:-1,t:"Performance Overview",i:0.00353418701999176,a:"IDOL Server performance generally refers to the performance of the following IDOL Content component operations: Index Data. Documents in IDX or XML file format are added to the IDOL Content component.  Query Content. Users send natural language, keyword or Boolean queries to the IDOL Content ..."},"81":{y:0,u:"../Content/Install_Run_IDOL/Performance/Schedule_Index_and_Query.htm",l:-1,t:"Schedule Index and Query Operations",i:0.00353418701999176,a:"The IDOL Content component provides the fastest query responses when it is not indexing, and indexes fastest when it is not being queried.  One way to improve performance for both indexing and querying is to schedule indexing so that it occurs when the query load is at a minimum. For example, if ..."},"82":{y:0,u:"../Content/Install_Run_IDOL/Performance/Use_a_Component_Setup.htm",l:-1,t:"Use a Component Setup",i:0.00353418701999176,a:"Use a Component Setup You can improve the performance of IDOL operations by using a component setup. In this setup, you can place each IDOL component on its own hardware, maximizing the available resources.  Related Topics Types of IDOL Systems ."},"83":{y:0,u:"../Content/Install_Run_IDOL/Performance/Optimize_IDOL_Content.htm",l:-1,t:"Optimize the IDOL Content component",i:0.00353418701999176,a:"Optimize  the IDOL Content component There are many ways to optimize the content that you store in the IDOL Content component. You can improve both index and query performance by using a stop word list, and configuring the IDOL Content component to not index numbers. Use a Stop Word List A stop word ..."},"84":{y:0,u:"../Content/Install_Run_IDOL/Performance/Optimize_the_Index_Proce.htm",l:-1,t:"Optimize the Index Process",i:0.00353418701999176,a:"The speed of the indexing process is often less critical than the speed of the query process. However, when indexing large amounts of data into IDOL, it is important to improve the efficiency of the process where possible. In addition, the way you configure the indexing process can affect the ..."},"85":{y:0,u:"../Content/Install_Run_IDOL/Performance/Delayed_Synchronization.htm",l:-1,t:"Delayed Synchronization",i:0.00353418701999176,a:"The indexing  process has the following stages: The IDOL Content component creates a representation of the new data in the index cache. The IDOL Content component synchronizes the cache  with data that it currently contains, and stores the new data on disk, removing it from the index cache. Delayed ..."},"86":{y:0,u:"../Content/Install_Run_IDOL/Performance/Distribute_IDOL_Server_D.htm",l:-1,t:"Distribute IDOL Content component Data Across Multiple Disks",i:0.00353418701999176,a:"If your IDOL data becomes too big to store on one volume (as the stored terms, references, content, and so on increase in size), you can store the data files across multiple disk partitions. To distribute IDOL data  Open the IDOL Content component configuration file in a text editor. Find the ..."},"87":{y:0,u:"../Content/Install_Run_IDOL/Performance/Optimize_Query_Operation.htm",l:-1,t:"Optimize Query Operations",i:0.00353418701999176,a:"Query operations include any action that requests data from IDOL (particularly the IDOL Content component), for example: Query Suggest SuggestOnText GetQueryTagValues Query speed can be particularly important because users require a real-time response to any query. This section describes how to ..."},"88":{y:0,u:"../Content/Install_Run_IDOL/Performance/Optimize_IDOL_Fields.htm",l:-1,t:"Optimize IDOL Fields",i:0.00790599503937354,a:"You can optimize FieldText queries by configuring field processes. These processes define how the IDOL Content component stores fields, to optimize the retrieval of the data that the field contains. For example, if the field contains a number, configure the field as a numeric field to allow Content ..."},"89":{y:0,u:"../Content/Install_Run_IDOL/Performance/Hardware_Considerations.htm",l:-1,t:"Hardware Considerations",i:0.00353418701999176,a:"Hardware Considerations To maximize IDOL performance, ensure that your IDOL components have adequate resources assigned:  Ensure that your IDOL components have enough memory. Monitor disk usage to check input and output."},"90":{y:0,u:"../Content/Install_Run_IDOL/Performance/Optimize_Distributed_Sys.htm",l:-1,t:"Optimize Distributed Systems",i:0.00353418701999176,a:"Distributed IDOL systems use a Distributed Action Handler (DAH) and Distributed Index Handler (DIH) to distribute actions and index actions respectively. In these systems, you can use one of two modes: Mirror mode uses several identical child servers to process client queries. You can use this ..."},"91":{y:0,u:"../Content/Install_Run_IDOL/Performance/DAH_Performance.htm",l:-1,t:"Distributed Action Handler Performance",i:0.00353418701999176,a:"The Distributed Action Handler distributes actions between child servers. It also performs some additional processing on actions. For example, in mirror mode it can apply templates, and recognize and distribute administrative actions to all child servers.  Depending on your system, you can use ..."},"92":{y:0,u:"../Content/Install_Run_IDOL/Performance/DIH_Performance.htm",l:-1,t:"Distributed Index Handler Performance",i:0.00353418701999176,a:"Distributed Index Handler  Performance The DIH distributes index actions to its child servers. In standard mirror and non-mirror mode, DIH forwards the IDX or XML index file to all its child servers, with instructions to the child servers about which documents it must index. You can use different ..."},"93":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Indexing Tutorial.htm",l:-1,t:"Tutorial: Index Data into IDOL",i:0.00396334178589703,a:"Tutorial: Index Data into IDOL This chapter describes how to configure the IDOL Content component index and index data."},"94":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Overview.htm",l:-1,t:"Overview",i:0.00353418701999176,a:"The IDOL Content component data index is a representation of all the data that you can search for in IDOL Server. When the IDOL Content component indexes data, it processes the terms and fields in the new documents. This process allows it to retrieve the documents quickly when you send queries.  ..."},"95":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Configure_the_IDOL_Serve.htm",l:-1,t:"Configure the IDOL Content component Index",i:0.00428520786032599,a:"Before you begin to index documents into the IDOL Content component, you must configure the data index to process the documents correctly.  You can configure: IDOL databases to store your data. field processes to correctly identify and process the fields in the documents you index. language types to ..."},"96":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Configure_Databases.htm",l:-1,t:"Configure Databases",i:0.00474833955782952,a:"The IDOL Content component can store documents in different databases. You can configure up to 65534 databases in an IDOL Content component. Indexing data into different databases allows you to restrict queries to data in a particular database. This can improve the performance of your queries. You ..."},"97":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Configure_Fields.htm",l:-1,t:"Configure Fields",i:0.0102865053104678,a:"The documents in the IDOL Content component store data in fields. These fields can contain many different types of information. For example, one field might contain the bulk of the document content, and another field might contain only the name of the author. When you index data into the ..."},"98":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Configure_Languages.htm",l:-1,t:"Configure Languages",i:0.00474833955782952,a:"The IDOL Content component can process documents in multiple languages and encodings. For each language that you want to use, you must define the language types in the IDOL Content component configuration file. You must also configure the IDOL Content component to classify documents, either by ..."},"99":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Create_Documents.htm",l:-1,t:"Create Documents",i:0.00428520786032599,a:"Unless your data is in XML format, you must first import it. You can import data using one of two methods. Import with a connector. The IDOL connectors (for example, File System Connector, HTTP Connector, Database Connector, and so on) retrieve documents from different repositories and import them ..."},"100":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Pre_Process_Documents.htm",l:-1,t:"Pre-Process Documents",i:0.00428520786032599,a:"Pre-Process  Documents You can use the Connector Framework Server (CFS) or NiFi Ingest to process documents before you index them. For example, you can run Eduction, modify document fields, categorize documents, or write the documents to disk.  For more information about how to use CFS to process ..."},"101":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Index_Documents.htm",l:-1,t:"Index Documents",i:0.00428520786032599,a:"You can index only files in  XML or IDX format into the IDOL Content component. If the data that you want to index is in XML format, you can index it directly into the IDOL Content component, without having to first import it (convert its content and metadata to IDX).  IDOL connectors use the DREADD ..."},"102":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Use_DREADD_to_Index_IDX_.htm",l:-1,t:"Use DREADD to Index IDX and XML Files Directly",i:0.00353418701999176,a:"The  DREADD index action (case sensitive) directly indexes an IDX or XML file that is located on the same machine as the IDOL Content component. For example: http://ContentHost:indexPort/DREADD?filename\u0026optionalParams where, For a full list of available parameters for the DREADD action, refer to the ..."},"103":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Use_DREADDDATA_to_Index_.htm",l:-1,t:"Use DREADDDATA to Index Data Over a Socket",i:0.00353418701999176,a:"The  DREADDDATA index action (case sensitive) allows you to directly index data over a socket into the IDOL Content component.  This index action requires a POST request method. For more information, refer to the  IDOL Content component Help. For example: ..."},"104":{y:0,u:"../Content/Install_Run_IDOL/Indexing_Tutorial/Index_Distributed.htm",l:-1,t:"Index Data in a Distributed IDOL Setup",i:0.00353418701999176,a:"Configuration and indexing in a distributed system is very similar to using an individual IDOL Content component, except that you must configure multiple child servers, and send your index actions to the DIH, instead of Content. In most cases, you use an identical or very similar configuration for ..."},"105":{y:0,u:"../Content/Install_Run_IDOL/Query/Query IDOL.htm",l:-1,t:"Query IDOL",i:0.00353418701999176,a:"Query IDOL This section describes the IDOL action responses, and the basics of query operations in the IDOL Content component."},"106":{y:0,u:"../Content/Install_Run_IDOL/Query/IDOL ACI Responses.htm",l:-1,t:"IDOL ACI Responses",i:0.00396334178589703,a:"Interactions with IDOL components are structured according to the Autonomy Content Infrastructure (ACI) architecture. The ACI architecture defines how clients communicate with IDOL components and how the IDOL components respond. In these interactions, clients submit ACI requests to IDOL components ..."},"107":{y:0,u:"../Content/Install_Run_IDOL/Query/Query_Action.htm",l:-1,t:"The Query ACI Action",i:0.00353418701999176,a:"The query action is an ACI action supported by the IDOL Content component that searches the corpus of indexed documents for those matching the restrictions of the query. Query action ACI parameters come in two types: Search parameters define restrictions on the result set of documents. Response ..."},"108":{y:0,u:"../Content/Install_Run_IDOL/Query/Search_Parameters.htm",l:-1,t:"Search Parameters",i:0.00353418701999176,a:"This section describes many of the most important parameters for the Query action that you can use to restrict the document result set.  For more information about each of these parameters, refer to the  IDOL Content component Help.  Text The Text parameter defines restrictions on the content of ..."},"109":{y:0,u:"../Content/Install_Run_IDOL/Query/Response_Parameters.htm",l:-1,t:"Response Parameters",i:0.0335713901911071,a:"This section describes many of the most important parameters for the Query action that you can use to modify the query response.  For more information about each of these parameters, refer to the  IDOL Content component Help.  Predict and TotalResults The TotalResults parameter allows you to find ..."},"110":{y:0,u:"../Content/Install_Run_IDOL/Query/Query_Response.htm",l:-1,t:"Query Response",i:0.00353418701999176,a:"This section describes some of the response tags that a query returns.  For example:  action=Query\u0026Text=spiders\u0026Combine=Simple\u0026Print=all\u0026MaxResults=2 This query might return the following ACI response: \u003cautnresponse xmlns:autn=\"http://schemas.autonomy.com/aci/\"\u003e\n   \u003caction\u003eQUERY\u003c/action\u003e\n   ..."},"111":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/IDOLContainers.htm",l:-1,t:"Install IDOL Containers",i:0.00690305566828661,a:"This chapter describes the OpenText IDOL containers and how to use them to create and use simple IDOL example instances. Containers are packages that contain pre-installed and configured software. They provide convenient building blocks to allow you to create complex systems more easily."},"112":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Introduction.htm",l:-1,t:"Introduction",i:0.00353418701999176,a:"The IDOL containers allow you to quickly set up a simple IDOL installation, without having to manually install or configure the IDOL components. This chapter assumes that you have installed and set up the Docker platform in your environment. It does not provide general information about how to use ..."},"113":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/AvailableContainers.htm",l:-1,t:"Available IDOL Containers",i:0.00353418701999176,a:"Available IDOL Containers The following table describes the available OpenText IDOL  containers. For more information about the IDOL components, refer to the relevant IDOL documentation."},"114":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/AvailableComposeFiles.htm",l:-1,t:"IDOL Docker Compose Files",i:0.010180727994842,a:"The IDOL Docker Compose files allow you to quickly set up a system that uses multiple containers, connected together to provide an IDOL setup.  There are several sets of Docker Compose files that you can use: basic-idol. Set up a simple IDOL system so that you can ingest some data and run queries.  ..."},"115":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Requirements.htm",l:-1,t:"Requirements",i:0.00353418701999176,a:"This section describes the requirements for you to run the basic IDOL Docker Compose set up. Before you can use the IDOL Docker containers, you must have: an installation of Docker, on Windows or Linux. On Linux you must also install Docker Compose. For details about how to install and run Docker ..."},"116":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/BuildIDOLDocker.htm",l:-1,t:"Build IDOL Docker Compose System",i:0.00353418701999176,a:"This section describes how to build and start your IDOL Docker Compose system. Obtain the Docker Compose files, for example: git clone https://github.com/opentext-idol/idol-containers-toolkit Modify the environment file to specify the License Server IP address, and a HTTP Proxy if required. See  ..."},"117":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_envfiles.htm",l:-1,t:"Modify the Environment Files",i:0.00428520786032599,a:"The IDOL Docker Compose ZIP package contains environment files.  For all IDOL Docker Compose options, you must modify the .env environment file to provide the details of your license server.  To use SSL, you must also modify the idol-ssl.env environment file to configure SSL behavior (see  ..."},"118":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_YAMLUpdates.htm",l:-1,t:"Update YAML Files",i:0.0285651896625879,a:"This section applies only to the basic-idol Docker Compose setup. In most cases, you do not need to modify the YAML files for the IDOL Docker Compose package. However, YAML updates are required when: you want to  run the IDOL NiFi Ingest container with a bindmount. See  Modify the YAML to Use a ..."},"119":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_Run.htm",l:-1,t:"Run Docker Commands",i:0.00428520786032599,a:"After you have updated the environment file with your License Server details, and made any optional changes, you can run the containers.  To run the Docker Compose system Open a command prompt. Log in to docker by typing the following command: docker login -u microfocusidolreadonly When prompted, ..."},"120":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_Check.htm",l:-1,t:"Check that the System is Running",i:0.00353418701999176,a:"After the up command is complete, you can check that your IDOL Docker system is running correctly by accessing one of the available user interfaces.  For basic-idol: http://DockerHost:8080/find/ For data-admin: http://DockerHost:8080/dataadmin/ For site-admin: http://DockerHost:8080 Where DockerHost ..."},"121":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_SSL.htm",l:-1,t:"Use SSL/TLS Communications",i:0.00428520786032599,a:"IDOL components and front end applications support SSL/TLS.  To configure the docker compose set up to use SSL/TLS Modify the idol-ssl.env environment file to configure the SSL behavior.  The idol-ssl.env file is the environment file for all the services that Docker Compose creates. This file ..."},"122":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_SSLCertificates.htm",l:-1,t:"Set Up SSL/TLS Certificates and Trust Stores",i:0.00931384344692459,a:"When you want to run the IDOL Docker Compose packages with SSL, you must either provide the SSL certificates (recommended), or provide an OpenSSL-based Certificate Authority to generate the certificates when you run the containers.  If you configure the containers to generate the certificates, you ..."},"123":{y:0,u:"../Content/Install_Run_IDOL/Containers/Docker/Build_SSLenv.htm",l:-1,t:"SSL Environment Variable Reference",i:0.0129563010604379,a:"The following table lists the environment variables that are required for SSL/TLS communications to work in your docker environment. To configure these values for all services, you set the environment variable in the idol-ssl.env file.  If required, you can also modify the environment variables for ..."},"124":{y:0,u:"../Content/Install_Run_IDOL/Containers/Kubernetes/Kubernetes.htm",l:-1,t:"Build IDOL with Kubernetes",i:0.00353418701999176,a:"Build IDOL with Kubernetes This chapter describes the OpenText IDOL running using Kubernetes."},"125":{y:0,u:"../Content/Install_Run_IDOL/Containers/Kubernetes/Introduction.htm",l:-1,t:"Introduction",i:0.00353418701999176,a:"The IDOL containers allow you to quickly set up a simple IDOL installation on Kubernetes using Helm, which is a package manager for Kubernetes. This Helm chart deploys a DAH, DIH, and a set of Content engines that can autoscale with demand.  The chart can deploy in mirror-mode (autoscaling to fulfil ..."},});